---
title: "About Sketchy Maze"
draft: false
---

_Sketchy Maze_ is a "drawing-based maze game" themed around hand-drawn maps
on paper. You can draw your own custom levels and make them look
like anything you want. Draw a castle or a cave, and you decide which colors are
solid or which are fire, and drag-and-drop some
"[doodads](/guidebook/doodads.html)" such as Buttons, Keys and Doors to spice
it up.

![Gameplay screenshot.](/images/v0.8.0-gameplay.png)

Oh, and those doodads? You can make your own, too, and program them in JavaScript
to do whatever you want. See some
[example doodads](https://code.sketchymaze.com/declassified/doodads) or you
can learn from the game's built-in scripts. Without needing to even _look_ at
any JavaScript, you can create doodads in-game which have your choice of _basic_
generic script behaviour: to create a "fire" hazard, a solid hitbox, behave as
an Anvil, and so on. See
[Creating Custom Doodads](/guidebook/custom-doodads/index.html) for details.

# Inspiration

When I was a kid growing up in the 1990's, in the era of the Sega Genesys and
Super Nintendo, and with the proliferation of 2D platform games like
_Sonic the Hedgehog_ and _Super Mario Bros._, I used to enjoy drawing my own
custom level ideas with paper and pencil and then "play" them with my imagination.

I'd usually draw a side-view, 2D platformer type of maze; and draw in some locked
doors and keys, buttons, breakable floors, spikes, and so on as you would expect
to find in any platformer game. Then I'd imagine a character working their way
through the maze, or I'd walk it through with anybody who would listen and describe
how the level plays out.

When you're just drawing with a pen and paper, the maze can be anything you want.
You can draw a castle or a cave, place little gizmos and traps throughout the
level and create puzzles. Do you want the red pixels to mean "fire" and burn the
player? Or do you want to decorate the tops of "bloody" spikes with red? Either
way, the 'fire' attribute on that color will do the job and you can draw whatever
shape you want for your level hazards.

![Palette editor](/images/palette.png)

# _Sketchy Maze_ is a "Forever Project"

I have a [list of features](/features/) I _really_ want for the "1.0" launch of the game, but
I'll plan on continuing development for as long as I find it interesting and will
release free updates to everybody who buys the game just once.

I've always wanted to make a videogame, and always liked to learn about game
design and everything, but never actually made anything worthwhile until
_Sketchy Maze._ Over time, I realized that I don't actually want to build
"a video game," what I wanted was a game _project_. Something I could just work
on and add features to, more of a game "platform," something long-term like
Minecraft.

# Custom Content Encouraged

While the game ships with a [handful of built-in doodads](/guidebook/doodads.html) to
spice up your level, you can also create your own and program them to do
whatever you want, with JavaScript!

I want to see what sorts of creative things people can come up with. While the
_theme_ of Sketchy Maze is "hand-drawn maps on paper", the engine is actually
quite flexible and you can create full-color pixel art levels. The
[`doodad` tool](/guidebook/doodad-tool.html) can convert PNG images into levels
and it is not difficult to adapt full-color pixel art maps into playable levels
for this game.

See the [example doodads](https://code.sketchymaze.com/declassified/doodads)
where there will be example custom doodads that behave like some of the game's
built-in ones. The [JavaScript API](/guidebook/custom-doodads/scripts.html)
is documented in the [Guidebook](/guidebook/) that comes with the game.

# See Also

For more information about _Sketchy Maze_, please see the following links:

* The [Guidebook](/guidebook) site that ships as part of the game includes tons
  of end user documentation and screenshots. Be sure to check it out!
* The [Frequently Asked Questions](/faq) page will offer more information in a
  "Q&A" format.
